Bug 1689745 - [abrt] ibus-libpinyin: pinyin_save(): ibus-engine-libpinyin killed by SIGSEGV
Summary: [abrt] ibus-libpinyin: pinyin_save(): ibus-engine-libpinyin killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cb822be7ac46c50ce113ca1671d...
: 1711620 1733428 1739896 1743022 1756241 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-18 01:55 UTC by Robin Lee
Modified: 2020-04-10 06:18 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-10 06:18:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.59 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: cgroup (511 bytes, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: core_backtrace (13.93 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: cpuinfo (1.15 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: dso_list (4.36 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: environ (466 bytes, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: limits (1.29 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: maps (21.47 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: mountinfo (3.23 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: open_fds (824 bytes, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-03-18 01:55 UTC, Robin Lee
no flags Details
File: exploitable (73 bytes, application/octet-stream)
2019-03-18 01:55 UTC, Robin Lee
no flags Details

Description Robin Lee 2019-03-18 01:55:30 UTC
Description of problem:
Crash when updating system

Version-Release number of selected component:
ibus-libpinyin-1.11.0-2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_save
executable:     /usr/libexec/ibus-engine-libpinyin
journald_cursor: s=cc3b4d7aa103497a99d675649b9ae013;i=94c7;b=13573ad620e541ff8cacc1ad1ceca0c3;m=eea6a32;t=584549ca4b236;x=245f7212fc098115
kernel:         5.0.0-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pinyin_save at pinyin.cpp:736
 #1 PY::LibPinyinBackEnd::clearPinyinUserData at PYLibPinyin.cc:307
 #2 PY::PinyinConfig::valueChanged at /usr/include/c++/9/bits/basic_string.h:2297
 #3 PY::LibPinyinConfig::valueChangedCallback at /usr/include/c++/9/bits/char_traits.h:300
 #8 g_settings_real_change_event at ../gio/gsettings.c:391
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
 #10 ffi_call at ../src/x86/ffi64.c:525
 #11 g_cclosure_marshal_generic_va at ../gobject/gclosure.c:1614
 #12 _g_closure_invoke_va at ../gobject/gclosure.c:873
 #15 settings_backend_path_changed at ../gio/gsettings.c:466

Potential duplicate: bug 1649100

Comment 1 Robin Lee 2019-03-18 01:55:34 UTC
Created attachment 1545042 [details]
File: backtrace

Comment 2 Robin Lee 2019-03-18 01:55:35 UTC
Created attachment 1545043 [details]
File: cgroup

Comment 3 Robin Lee 2019-03-18 01:55:36 UTC
Created attachment 1545044 [details]
File: core_backtrace

Comment 4 Robin Lee 2019-03-18 01:55:37 UTC
Created attachment 1545045 [details]
File: cpuinfo

Comment 5 Robin Lee 2019-03-18 01:55:39 UTC
Created attachment 1545046 [details]
File: dso_list

Comment 6 Robin Lee 2019-03-18 01:55:40 UTC
Created attachment 1545047 [details]
File: environ

Comment 7 Robin Lee 2019-03-18 01:55:41 UTC
Created attachment 1545048 [details]
File: limits

Comment 8 Robin Lee 2019-03-18 01:55:43 UTC
Created attachment 1545049 [details]
File: maps

Comment 9 Robin Lee 2019-03-18 01:55:44 UTC
Created attachment 1545050 [details]
File: mountinfo

Comment 10 Robin Lee 2019-03-18 01:55:45 UTC
Created attachment 1545051 [details]
File: open_fds

Comment 11 Robin Lee 2019-03-18 01:55:46 UTC
Created attachment 1545052 [details]
File: proc_pid_status

Comment 12 Robin Lee 2019-03-18 01:55:47 UTC
Created attachment 1545053 [details]
File: exploitable

Comment 13 o_wild 2019-05-18 10:31:50 UTC
Similar problem has been detected:

runing update:
dnf upgrade

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_save
executable:     /usr/libexec/ibus-engine-libpinyin
journald_cursor: s=da5ad80e525e4ff08bf4c205723ad523;i=331f;b=d7695066fe5a459984362bd576f64b63;m=41f02be5;t=5892670578326;x=59eae0bc76de8f97
kernel:         5.0.9-301.fc30.x86_64
package:        ibus-libpinyin-1.11.0-2.fc30
reason:         ibus-engine-libpinyin killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Chen_Min_Chin 2019-05-18 20:30:40 UTC
Similar problem has been detected:

1. dnnf -y update
2. occur

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_save
executable:     /usr/libexec/ibus-engine-libpinyin
journald_cursor: s=7b59baba04774aa28e83586a2efedf44;i=2550d;b=b90cf6cab9784b048ceac771ff128665;m=25bf547c;t=5892b1193ac16;x=554eaec1dd14426c
kernel:         5.0.16-300.fc30.x86_64
package:        ibus-libpinyin-1.11.0-2.fc30
reason:         ibus-engine-libpinyin killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Junjie Yuan 2019-05-19 02:15:35 UTC
*** Bug 1711620 has been marked as a duplicate of this bug. ***

Comment 16 Peng Wu 2019-05-20 07:11:54 UTC
Could you explain the detailed steps to reproduce this issue?

Comment 17 Robin Lee 2019-05-20 07:17:04 UTC
(In reply to Peng Wu from comment #16)
> Could you explain the detailed steps to reproduce this issue?

It is reproducible if one updates ibus in a logged-in session with ibus running.

Comment 18 Reader News 2019-07-26 05:18:37 UTC
*** Bug 1733428 has been marked as a duplicate of this bug. ***

Comment 20 Corey Ashford 2019-08-11 21:01:49 UTC
*** Bug 1739896 has been marked as a duplicate of this bug. ***

Comment 21 emmachalz 2019-08-18 16:46:17 UTC
*** Bug 1743022 has been marked as a duplicate of this bug. ***

Comment 22 Corey Ashford 2019-09-10 20:17:31 UTC
Similar problem has been detected:

I don't recall what I was doing.  I only saw the notification of a crash in libpinyin much later.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_save
executable:     /usr/libexec/ibus-engine-libpinyin
journald_cursor: s=d28006acb2b843d780327c79166993ce;i=e9c8;b=cba4de02359644e98f4656153a2944c2;m=368a761bc;t=5907b92c0f128;x=af383aba895e5268
kernel:         5.1.20-300.fc30.x86_64
package:        ibus-libpinyin-1.11.1-1.fc30
reason:         ibus-engine-libpinyin killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Peng Wu 2019-09-11 02:26:37 UTC
Hi Corey Ashford,

  Are you upgrading the rpm packages?

Regards,
  Peng

Comment 24 Corey Ashford 2019-09-11 15:52:12 UTC
(In reply to Peng Wu from comment #23)
> Hi Corey Ashford,
> 
>   Are you upgrading the rpm packages?
> 

I'm not sure how old the notification is, so it might have happened during a previous upgrade.  I'll file again if it happens while not upgrading.

Comment 25 Peng Wu 2019-09-12 05:51:10 UTC
Okay, thanks for comments.

Comment 26 soloeltigre 2019-09-27 07:40:02 UTC
*** Bug 1756241 has been marked as a duplicate of this bug. ***

Comment 27 Peng Wu 2020-04-10 06:18:41 UTC
I think this bug only happens when dnf upgrade, and write one patch to mitigate this issue.


Note You need to log in before you can comment on or make changes to this bug.